#! /bin/bash

#
# errores.sh, revisión número 2 (del 25-10-2002)
#
# Script GPL creado por Daniel Clemente el 26-9-2002
# danielclemente@ozu.es    www.danielclemente.com
#

clear
RUTA="http://www.danielclemente.com/errores/err";
echo
echo "Este script bajará todas las imágenes de errores de programas."
echo "Lo bajará de: ${RUTA}???.jpg"
echo "Para verlos online y comentados visita:"
echo "        www.danielclemente.com/errores "
echo 
echo "       26-9-2002 Daniel Clemente  (www.danielclemente.com)"
echo
echo
echo "Aprieta ENTER cuando estés listo"
read

# Una forma chapucera de comprobar si wget está instalado
wget --version &> /dev/null;
if [ ! $? = 0 ] ; then
  echo "ERROR: Necesitas tener instalado wget para poder bajarte cosas.";
  echo;
  exit 1;
fi

for NUM in `seq -w 1 999`; do
  echo -n "Bajando ${RUTA}${NUM}.jpg ...";
  wget -cq ${RUTA}${NUM}.jpg

  # Si no existe el fichero que acaba de bajar, es que no lo ha bajado
  if [ ! -e err${NUM}.jpg ]
  then

    # Si no puede bajar más, que pare y salga.
    echo " éste ya no lo he podido bajar.";
    echo "Parece que sólo hay $(( ${NUM} - 1 )) JPGs, porque no puedo seguir bajando.";
    echo "(Debería haber cerca de 150; el número exacto míralo en mi web).";
    echo;
    echo "Gracias por usar este script.";
    echo;
    exit 0;
  else
    echo " ok";
  fi
done
